<?php

namespace Ulmus\Annotation\Property;

class Field implements \Ulmus\Annotation\Annotation {

    public string $type;

    public string $name;

    public int $length;

    public array $attributes = [];

    public bool $nullable = false;

    public function __construct(string $type = null, int $length = null)
    {
        switch(true) {
            case $type !== null:
                $this->type = $type;
            break;

            case $length !== null:
                $this->length = $length;
            break;
        }
    }
}
