<?php

namespace Ulmus\Annotation\Property;

class OrderBy implements \Ulmus\Annotation\Annotation {

    public string $field;

    public string $order = "ASC";

    public function __construct(string $field = null, string $order = null)
    {
        switch(true) {
            case $field !== null:
                $this->field = $field;
            break;

            case $order !== null:
                $this->order = $order;
            break;
        }
    }
}
