<?php

namespace Ulmus\Query;

class Offset extends Fragment {

    public int $order = 81;

    protected int $offset = 0;

    public function set($offset) : self
    {
        $this->offset = $offset;
        return $this;
    }

    public function render() : string
    {
        return $this->renderSegments([
            'OFFSET', $this->offset,
        ]);
    }
}
